import { LoginWebAuthInput } from '../dto/login-web-auth.input';
import { MeAuth } from '../entities/me-auth.entity';
import { LoginMobileAppAuthInput } from '../dto/login-mobile-app-auth.input';
export interface InterfaceAuthService<T> {
    doLoginWeb(data: LoginWebAuthInput): Promise<T>;
    doLoginMobileApp(data: LoginMobileAppAuthInput): Promise<T>;
    me(userId: string): Promise<MeAuth>;
    generateRefreshTokens(userId: string, refreshToken: string): Promise<T>;
}
